package com.sinosig.core.module.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.util.ISearchFilter;
import com.sinosig.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sinosig.util.SearchContext;
import com.sinosig.util.SearchFieldFilter;
import com.sinosig.util.enums.SearchFieldType;
import com.sinosig.util.enums.SearchGroupType;
import com.sinosig.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[SJZDX] 查询条件对象
 */
@Data
public class SJZDXSearchContext extends SearchContext {

	   public String n_sjzdxname_like;//[数据字典项名称]
       public void setN_sjzdxname_like(String n_sjzdxname_like) {
            this.n_sjzdxname_like=n_sjzdxname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("sjzdxname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_sjzdxname_like);
            this.getCondition().add(searchField);
       }
	   public String n_sjzdid_eq;//[数据字典标识]
       public void setN_sjzdid_eq(String n_sjzdid_eq) {
            this.n_sjzdid_eq=n_sjzdid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("sjzdid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_sjzdid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter sjzdxname=new SearchFieldFilter();
           sjzdxname.setParam("sjzdxname");
           sjzdxname.setCondition(SearchFieldType.LIKE);
           sjzdxname.setValue(strQuery);
           searchGroupFilter.getCondition().add(sjzdxname);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
